## wireshark 1.10.2

=== debian/changelog ===
wireshark (1.10.2-2) unstable; urgency=low

  [ Yukio Shiiya ]
  * install supported file types to shared MIME database (Closes: #723133)

  [ Balint Reczey]
  * ship all scaled icons
  * switch to Lua 5.2 (Closes: #723683)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 30 Sep 2013 11:13:15 +0200

wireshark (1.10.2-1) unstable; urgency=high

  * New upstream release 1.10.2
    - release notes:
      https://wireshark.org/docs/relnotes/wireshark-1.10.2.html
    - security fixes:
      - The Bluetooth HCI ACL dissector could crash. Discovered by
        Laurent Butti. (No assigned CVE number)
      - The NBAP dissector could crash. Discovered by Laurent Butti.
        (No assigned CVE number)
      - The ASSA R3 dissector could go into an infinite loop.
        Discovered by Ben Schmidt. (No assigned CVE number)
      - The RTPS dissector could overflow a buffer. Discovered by
        Ben Schmidt. (No assigned CVE number)
      - The MQ dissector could crash. (No assigned CVE number)
      - The LDAP dissector could crash. (No assigned CVE number)
      - The Netmon file parser could crash. Discovered by G. Geshev.
        (No assigned CVE number)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 10 Sep 2013 18:25:15 +0200
