=== debian/rules ===
--- 
+++ 
@@ -4,17 +4,13 @@
 # Some lines taken from debmake, by Cristoph Lameter.
 # Rewritten to use dh, by Balint Reczey
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
-DEB_HOST_ARCH_CPU       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
 DEB_HOST_MULTIARCH      ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-# Enable IEEE-conformant floating point math on alphas (not the default)
-ifeq (alpha,$(DEB_HOST_ARCH_CPU))
-  CFLAGS += -mieee
-endif
 
 %:
 	dh $@ --with autoreconf --with python2 --buildsystem autoconf
